package com.kingdee.eas.hr.project;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractWorkHoursConfirmInfo extends com.kingdee.eas.hr.base.HRBillBaseInfo implements Serializable 
{
    public AbstractWorkHoursConfirmInfo()
    {
        this("id");
    }
    protected AbstractWorkHoursConfirmInfo(String pkField)
    {
        super(pkField);
        put("entrys", new com.kingdee.eas.hr.project.WorkHoursConfirmEntryCollection());
    }
    /**
     * Object: 工时确认单 's 分录 property 
     */
    public com.kingdee.eas.hr.project.WorkHoursConfirmEntryCollection getEntrys()
    {
        return (com.kingdee.eas.hr.project.WorkHoursConfirmEntryCollection)get("entrys");
    }
    /**
     * Object:工时确认单's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object: 工时确认单 's 项目 property 
     */
    public com.kingdee.eas.hr.project.ProjectManagementInfo getProject()
    {
        return (com.kingdee.eas.hr.project.ProjectManagementInfo)get("project");
    }
    public void setProject(com.kingdee.eas.hr.project.ProjectManagementInfo item)
    {
        put("project", item);
    }
    /**
     * Object: 工时确认单 's 人员 property 
     */
    public com.kingdee.eas.basedata.person.PersonInfo getEmployee()
    {
        return (com.kingdee.eas.basedata.person.PersonInfo)get("employee");
    }
    public void setEmployee(com.kingdee.eas.basedata.person.PersonInfo item)
    {
        put("employee", item);
    }
    /**
     * Object:工时确认单's 位置property 
     */
    public String getClockLocation()
    {
        return getString("clockLocation");
    }
    public void setClockLocation(String item)
    {
        setString("clockLocation", item);
    }
    /**
     * Object:工时确认单's 打卡日期property 
     */
    public java.util.Date getClockDate()
    {
        return getDate("clockDate");
    }
    public void setClockDate(java.util.Date item)
    {
        setDate("clockDate", item);
    }
    /**
     * Object:工时确认单's 打卡时间property 
     */
    public java.sql.Time getClockTime()
    {
        return getTime("clockTime");
    }
    public void setClockTime(java.sql.Time item)
    {
        setTime("clockTime", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("1B8E9CE3");
    }
}